package com.fs.course.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "评论列表查询参数")
public class FsCourseWatchCommentListParam {

    @ApiModelProperty(value = "页码,默认为1", required = true)
    private Integer pageNum = 1;

    @ApiModelProperty(value = "页大小,默认为10", required = true)
    private Integer pageSize = 10;

    @ApiModelProperty(value = "不传，通过配置获取")
    private Integer listNum;

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "视频id")
    private Long videoId;

    @ApiModelProperty(value = "1-评论/2-弹幕")
    private Integer openCommentStatus;

}
