package com.fs.crm.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class CrmCustomerLevelParm {
    /**
     * 主键ID
     */
    private Long id;
    /**
     * 级别名称
     */
    @NotBlank(message = "级别名称不能为空")
    private String name;
    /**
     * 状态 0显示 1停用
     */
    private Integer status;
    /**
     * 序号
     */
    private Integer sort;
}
