package com.fs.statis.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class Report {
    //订单编号
    @Excel(name = "订单编号")
    private String orderSn;
    //成单金额
    @Excel(name = "成单金额")
    private BigDecimal money;
    //支付时间
    @Excel(name = "支付时间" ,width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;
    //订单状态
    @Excel(name = "订单状态")
    private String orderStatus;
    //客户名称
    @Excel(name = "客户名称")
    private String userName;
    //是否共享客户1是0否
    @Excel(name = "是否共享客户")
    private String status;
    //共享销售
    @Excel(name = "共享销售")
    private String companyUserNames;
    //分成比例
    @Excel(name = "分成比例")
    private BigDecimal proportion;
    //我的业绩
    @Excel(name = "我的业绩")
    private BigDecimal myPerformance;
    //客户id
    @Excel(name = "客户id")
    private Long customerId;
}
