package com.fs.statis.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.param.BaseQueryParam;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class ReportParam extends BaseQueryParam {
    private Long companyId;
    private Long companyUserId;
    private Double money;
    private String rechargeNo;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date payTime;
    private String status;
    private String orderStatus;
    private List<Long> customerIds;
}
