package com.fs.store.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

@TableName("fs_store_order_audit_log")
@Data
public class FsStoreOrderAuditLog {
    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 审核ID
     */
    private Long auditId;
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 审核人ID
     */
    private Long auditUserId;
    /**
     * 备注
     */
    private String content;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}
