package com.fs.store.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.store.domain.FsStoreOrderAudit;
import com.fs.store.param.FsStoreOrderAuditParam;
import com.fs.store.param.FsStoreOrderAuditReviewParam;
import com.fs.store.vo.FsStoreOrderAuditVO;

import java.util.List;

public interface IFsStoreOrderAuditService extends IService<FsStoreOrderAudit> {
    /**
     * 查询订单审核列表
     * @param param 参数
     * @return  list
     */
    List<FsStoreOrderAuditVO> selectStoreOrderAuditVOList(FsStoreOrderAuditParam param);

    /**
     * 审核
     *
     * @param param   参数
     * @param userId  用户ID
     * @param isAdmin 是否管理端
     */
    void audit(FsStoreOrderAuditReviewParam param, Long userId, boolean isAdmin);
}
