package com.fs.store.vo.home;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 期刊分类出参（小程序）
 */
@Data
public class HomeArticleCategoryListVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "分类id")
    private Long categoryId;

    @ApiModelProperty(value = "分类名称")
    private String categoryName;

    @ApiModelProperty(value = "封面图片")
    private String imageUrl;

}
