package com.fs.wxwork.dto;

import lombok.Data;

@Data
public class WxWorkMessageDTO {
    private Long flag;                // 对应 "flag": 16777216
    private Long receiver;            // 对应 "receiver": 1688855587446404 (接收人)
    private String sender_name;       // 对应 "sender_name": ""
    private Integer is_room;          // 对应 "is_room": 0
    private Long server_id;          // 对应 "server_id": 7130717
    private String content;          // 对应 "content": "32423423"
    private Boolean issync;          // 对应 "issync": false
    private Long send_time;          // 对应 "send_time": 1724034152
    private Long sender;             // 对应 "sender": 7881302555913738
    private Long referid;            // 对应 "referid": 0
    private String app_info;         // 对应 "app_info": "3304183318011621608"
    private Integer readuinscount;   // 对应 "readuinscount": 0
    private Long msg_id;            // 对应 "msg_id": 1011720
    private Integer msgtype;         // 对应 "msgtype": 2 (消息类型 0 和 2文本消息)
    private String recordwording;    //通话时长
    private Integer recordtype;         //通话5

    // 图片
    private String file_id;
    private Integer file_size;
    private String aes_key;
    private String openim_cdn_authkey;

    // 动态表情
    private String url;

    // 语音
    private String voice_id;
    private Integer voice_size;

    // 小程序
    private String appid;
    private String appName;
    private String username;
    private String desc;
    private String weappIconUrl;
    private String thumbFileId;
    private String thumbMD5;
    private String thumbAESKey;
    private Integer size;
    private String title;
    private String pagepath;
}
