-- 客户级别表
drop table if exists crm_customer_level;
create table crm_customer_level (
    `id`        bigint          not null auto_increment comment '主键ID',
    `name`      varchar(255)    not null                comment '级别名称',
    `status`    tinyint         default 0               comment '状态 0显示 1停用',
    `sort`      int             default 0               comment '序号',
    primary key (`id`) using btree
) engine = InnoDB comment = '客户级别表';

-- 客户表新增级别字段、置顶字段
alter table crm_customer
    add column `customer_level` bigint comment '客户级别' after `customer_type`,
    add column `is_top` tinyint default 0 comment '是否置顶 0未置顶 1置顶';