package com.fs.app.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class EditUserInfoParam implements Serializable {
    @ApiModelProperty(value = "用户性别（0男 1女 2未知）")
    private String sex;
    @ApiModelProperty(value = "头像地址")
    private String headImg;
    @ApiModelProperty(value = "手机号码")
    private String mobile;
    @ApiModelProperty(value = "用户邮箱")
    private String email;
    @ApiModelProperty(value = "微信二维码")
    private String qrCodeWeixin;
    @ApiModelProperty(value = "用户昵称")
    private String nickName;
}
