package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * company对象 company_tag
 *
 * @author fs
 * @date 2025-04-02
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CompanyTag extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long tagId;

    /** 企业id */
    @Excel(name = "企业id")
    private Long companyId;

    /** 标签 */
    @Excel(name = "标签")
    private String tag;

}
