package com.fs.course.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(value = "类型列表返回类")
@Data
public class FsUserCourseComplaintTypeListVO {

    @ApiModelProperty(value = "投诉类型id")
    private Long complaintTypeId;

    @ApiModelProperty(value = "投诉类型名称")
    private String complaintTypeName;

    @ApiModelProperty(value = "级别，目前只有两级")
    private Integer typeLevel;

    @ApiModelProperty(value = "父级id")
    private Long parentId;

    @ApiModelProperty(value = "子类型")
    private List<FsUserCourseComplaintTypeListVO> childrenType;

}
