package com.fs.crm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.crm.domain.CrmCustomerLevel;
import com.fs.crm.param.CrmCustomerLevelQueryParam;
import com.fs.crm.vo.CrmCustomerLevelVO;

import java.util.List;

public interface CrmCustomerLevelMapper extends BaseMapper<CrmCustomerLevel> {

    /**
     * 查询客户级别列表
     * @param param 参数
     * @return  list
     */
    List<CrmCustomerLevelVO> selectCrmCustomerLevelVOList(CrmCustomerLevelQueryParam param);
}
