package com.fs.store.param;

import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class FsStoreOrderAuditReviewParam {
    /**
     * 审核记录ID
     */
    @NotNull(message = "记录ID不能为空")
    private Long auditId;
    /**
     * 审核类型 0:审核拒绝 1:审核通过
     */
    @NotNull(message = "审核类型不能为空")
    private Integer reviewType;
    /**
     * 审核拒绝原因
     */
    private String reviewContent;
}
