package com.fs.store.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.store.domain.FsStoreOrderAuditLog;
import com.fs.store.vo.FsStoreOrderAuditLogVO;

import java.util.List;

public interface IFsStoreOrderAuditLogService extends IService<FsStoreOrderAuditLog> {

    /**
     * 根据订单ID查询审批记录列表
     * @param orderId 订单ID
     * @return list
     */
    List<FsStoreOrderAuditLogVO> selectStoreOrderAuditLogVOByOrderId(Long orderId);
}
