package com.fs.store.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsDoctorArticleUVO implements Serializable {

    /** ID */
    private Long articleId;

    private Long doctorId;

    private String doctorName;

    private String avatar;


    private String title;

    private String content;


    private Long views;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    private String videoUrl;

    @ApiModelProperty(value = "视频类型：1-横屏视频；2-竖屏视频")
    private Integer videoType;


}
