package com.fs.store.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class FsStoreOrderAuditVO {
    /**
     * 主键ID
     */
    private Long id;
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 订单编码
     */
    private String orderCode;
    /**
     * 归属公司ID
     */
    private Long companyId;
    /**
     * 归属公司名称
     */
    private String companyName;
    /**
     * 归属销售ID
     */
    private Long companyUserId;
    /**
     * 归属销售名称
     */
    private String companyUserName;
    /**
     * 审核状态
     */
    private Integer auditStatus;
    /**
     * 销售公司审核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime companyAuditTime;
    /**
     * 销售公司审核人ID
     */
    private Long companyAuditUserId;
    /**
     * 销售公司审核人名称
     */
    private String companyAuditUserName;
    /**
     * 总后台审核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime adminAuditTime;
    /**
     * 总后台审核人ID
     */
    private Long adminAuditUserId;
    /**
     * 总后台审核人名称
     */
    private String adminAuditUserName;
    /**
     * 被拒原因
     */
    private String reason;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
